summaryrefslogtreecommitdiffstats
path: root/local/.bin/hornet/ssh
diff options
context:
space:
mode:
Diffstat (limited to 'local/.bin/hornet/ssh')
-rwxr-xr-xlocal/.bin/hornet/ssh6
1 files changed, 6 insertions, 0 deletions
diff --git a/local/.bin/hornet/ssh b/local/.bin/hornet/ssh
new file mode 100755
index 0000000..bbacdf9
--- /dev/null
+++ b/local/.bin/hornet/ssh
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -eu
+set -o pipefail
+
+ssh-add -l | grep -q "${HOME}/.ssh/id_rsa" || env SSH_ASKPASS="ssh-askpass" ssh-add </dev/null
+exec /usr/bin/"$(basename "$0")" "$@"